org.firebirdsql.gds.ng.wire.auth.legacy

## Class UnixCrypt

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.auth.legacy.UnixCrypt

    public class UnixCrypt
    extends java.lang.Object

Unix Crypt. Implements the one way cryptography used by Unix systems for simple password protection.

Version:
  $Id: UnixCrypt.java,v 1.5 2004/10/11 00:28:41 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `crypt(java.lang.String key, java.lang.String setting)` Encrypts String into crypt (Unix) code.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### crypt

    public static java.lang.String crypt(java.lang.String key,
                                         java.lang.String setting)

Encrypts String into crypt (Unix) code.

Parameters:
  `key` - the key to be encrypted
  `setting` - the salt to be used
Returns:
  the encrypted String